Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.property
Class ListProperty

    java.lang.Object
      org.apache.cayenne.property.SimpleProperty
          org.apache.cayenne.property.AbstractSingleObjectArcProperty
              org.apache.cayenne.property.AbstractCollectionProperty
                  org.apache.cayenne.property.ListProperty

All Implemented Interfaces:
  java.io.Serializable, ArcProperty, CollectionProperty, Property, PropertyAccessor, SingleObjectArcProperty

Direct Known Subclasses:
  IndexedListProperty, ToManyListProperty

    public class ListProperty

extends AbstractCollectionProperty

Provides access to a property implemented as a List Field.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.property.AbstractSingleObjectArcProperty
`complimentaryReverseArcName, targetDescriptor`

Fields inherited from class org.apache.cayenne.property.SimpleProperty
`accessor, owner`

Constructor Summary
`ListProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, PropertyAccessor accessor, java.lang.String reverseName)`

Method Summary
`protected ValueHolder` | `createCollectionValueHolder(java.lang.Object object)` Creates a List for an object.
`boolean` | `isFault(java.lang.Object object)` Returns whether a target node connected to a given object is an unresolved fault.

Methods inherited from class org.apache.cayenne.property.AbstractCollectionProperty
`addTarget, ensureCollectionValueHolderSet, injectValueHolder, readProperty, removeTarget, shallowMerge, visit, writePropertyDirectly`

Methods inherited from class org.apache.cayenne.property.AbstractSingleObjectArcProperty
`getComplimentaryReverseArc, getTargetDescriptor, setReverse, setTarget`

Methods inherited from class org.apache.cayenne.property.SimpleProperty
`getName, readPropertyDirectly, writeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.property.ArcProperty
`getComplimentaryReverseArc, getTargetDescriptor`

Methods inherited from interface org.apache.cayenne.property.Property
`writeProperty`

Methods inherited from interface org.apache.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly`

Constructor Detail

### ListProperty

    public ListProperty(ClassDescriptor owner,
                        ClassDescriptor targetDescriptor,
                        PropertyAccessor accessor,
                        java.lang.String reverseName)

Method Detail

### createCollectionValueHolder

    protected ValueHolder createCollectionValueHolder(java.lang.Object object)
                                               throws PropertyAccessException

  Creates a List for an object. Expects an object to be an instance of Persistent.

  Specified by:
    `createCollectionValueHolder` in class `AbstractCollectionProperty`
  Throws:
    `PropertyAccessException`

### isFault

    public boolean isFault(java.lang.Object object)

  Description copied from interface: `ArcProperty`
  Returns whether a target node connected to a given object is an unresolved fault.

  Specified by:
    `isFault` in interface `ArcProperty`
  Specified by:
    `isFault` in class `AbstractSingleObjectArcProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.